Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159650 - database not vacuumed by default
Summary: database not vacuumed by default
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: postgresql
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-06 15:48 UTC by Rik van Riel
Modified: 2013-07-03 03:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-30 19:03:50 UTC


Attachments (Terms of Use)

Description Rik van Riel 2005-06-06 15:48:44 UTC
Description of problem:

The postgresql install in Fedora and RHEL does not start database vacuuming of
any kind.  IMHO it would be a good idea to have pg_autovacuum running by
default, configured to analyse and vacuum the tables after reasonable intervals.
  
Reclaiming disk space is the one area I can think of where mysql is currently
better than postgres, it would be nice to close the gap here ;)

Comment 1 Tom Lane 2005-09-30 19:03:50 UTC
I think this would probably be reasonable to do in PG 8.1, where autovacuum is
built into the core database.  I don't have enough confidence in the external
contrib version of autovacuum to want to turn it on by default.


Note You need to log in before you can comment on or make changes to this bug.